petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSubMatrixUpdate

Updates a submatrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSubMatrixUpdate(Mat N,Mat A,IS isrow,IS iscol)

Collective on Mat Many br

### Input Parameters

| N | - submatrix to update Many br
| A | - full matrix in the submatrix Many br
| isrow | - rows in the update (same as the first time the submatrix was created) Many br
| iscol | - columns in the update (same as the first time the submatrix was created) Many br

Many br

### Notes

Most will use MatGetSubMatrix which provides a more efficient representation if it is available. Many br

### See Also

MatGetSubMatrix(), MatCreateSubMatrix()

Level:developer
Location:src/mat/impls/submat/submat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages